Subject: bug#24917: 24.5; M-x manual-entry caching

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Jul 2019 14:30:11 +0200

Ed Avis <[email-masked]> writes:

> M-x manual-entry will generate a formatted manual page.  If you request
> the same page later then it will switch to the existing buffer if open.
> But the manual page might have changed in the meantime.  Could Emacs
> check the timestamp on the file in /usr/share/man and rerun 'man' if so?

I don't think there's any practical way that manual-entry can do that --
it just calls the "man" command, and it roots out where the manual file
actually is.  So Emacs doesn't know the location of the man file.

And it's a pretty obscure situation -- manual pages seldom change
(unless you're writing one, and then you can kill the man buffer
manually).

So I'm closing this as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no